Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456332 - setroubleshootd (setroubleshoot-server) segfault
Summary: setroubleshootd (setroubleshoot-server) segfault
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 740486
TreeView+ depends on / blocked
 
Reported: 2008-07-22 21:55 UTC by James Hunt
Modified: 2011-09-22 08:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 740486 (view as bug list)
Environment:
Last Closed: 2008-10-02 19:38:30 UTC


Attachments (Terms of Use)

Description James Hunt 2008-07-22 21:55:48 UTC
Description of problem:

My setroubleshoot client (sealert) just popped up an error saying something
like, "lost contact with server". Although sealert itself is still running, the
back-end appears to have died.

/var/log/messages shows...

Jul 23 09:49:50 jamesh-ll setroubleshoot: [rpc.ERROR] attempt to open server
connection failed: Connection refused

dmesg shows...

setroubleshootd[2465]: segfault at 30303a41 ip 00c09da8 sp b7294164 error 6 in
libc-2.8.so[b9a000+163000]


Version-Release number of selected component (if applicable):

glibc-2.8-3.i686
glibc-common-2.8-3.i386
kernel-devel-2.6.25.10-86.fc9.i686
setroubleshoot-2.0.8-2.fc9.noarch
setroubleshoot-plugins-2.0.4-5.fc9.noarch
setroubleshoot-server-2.0.8-2.fc9.noarch


How reproducible:

<<Unknown>>

Steps to Reproduce:
<<Unknown>>

  
Actual results:


Expected results:


Additional info:

I noticed that bugzilla doesn't have a component for setroubleshoot-server (?)

Comment 1 Daniel Walsh 2008-09-09 19:28:05 UTC
Have you seen this again?  I have very little to go with on this bugzilla.

Comment 2 James Hunt 2008-10-02 19:38:30 UTC
Nope - it's a canny one! :) Closed for now.


Note You need to log in before you can comment on or make changes to this bug.